de.esprit.netsuite.client.gui.event

## Class ServerStatusEventPrinter

- java.lang.Object
- - de.esprit.netsuite.client.gui.event.AbstractEventPrinter
  - - de.esprit.netsuite.client.gui.event.ServerStatusEventPrinter

- All Implemented Interfaces:
    GenericEvent.Listener, ABOChangeEvent.Listener, BatchTaskConfigStatusEvent.Listener, CoServerConnectionEvent.Listener, DataSourceStatusEvent.Listener, FileTransferStatusEvent.Listener, LogChannelStatusEvent.Listener, LogfileStatusEvent.Listener, ResourceLockStatusEvent.Listener, RemoteTaskStatusEvent.Listener

      public class ServerStatusEventPrinter
      extends AbstractEventPrinter
      implements ResourceLockStatusEvent.Listener, RemoteTaskStatusEvent.Listener, FileTransferStatusEvent.Listener, CoServerConnectionEvent.Listener, BatchTaskConfigStatusEvent.Listener, DataSourceStatusEvent.Listener, LogfileStatusEvent.Listener, LogChannelStatusEvent.Listener, ABOChangeEvent.Listener, GenericEvent.Listener

  This printer prints all received `ServerStatusEvent`s to the given console
  Author:
    Rainer Buesch

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServerStatusEventPrinter(ClientContext ctx, TextPrintable console)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `aboChanged(ABOChangeEvent e)`
    `void` | `coServerConnectionChanged(CoServerConnectionEvent e)`
    `void` | `dataSourceStateChanged(DataSourceStatusEvent e)`
    `protected java.lang.String` | `getEventType()`
    `void` | `lockStateChanged(ResourceLockStatusEvent e)`
    `void` | `logChannelChanged(LogChannelStatusEvent e)`
    `void` | `logFileChanged(LogfileStatusEvent e)`
    `void` | `processConfigChanged(BatchTaskConfigStatusEvent e)`
    `void` | `taskStateChanged(RemoteTaskStatusEvent e)`
    `void` | `transferJobChanged(FileTransferStatusEvent e)`

    - ### Methods inherited from class de.esprit.netsuite.client.gui.event.AbstractEventPrinter

      `printEvent`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ServerStatusEventPrinter

          public ServerStatusEventPrinter(ClientContext ctx,
                                  TextPrintable console)

  - ### Method Detail

    - #### getEventType

          protected java.lang.String getEventType()

      Specified by:
        `getEventType` in class `AbstractEventPrinter`

    - #### taskStateChanged

          public void taskStateChanged(RemoteTaskStatusEvent e)

      Specified by:
        `taskStateChanged` in interface `RemoteTaskStatusEvent.Listener`

    - #### transferJobChanged

          public void transferJobChanged(FileTransferStatusEvent e)

      Specified by:
        `transferJobChanged` in interface `FileTransferStatusEvent.Listener`

    - #### lockStateChanged

          public void lockStateChanged(ResourceLockStatusEvent e)

      Specified by:
        `lockStateChanged` in interface `ResourceLockStatusEvent.Listener`

    - #### coServerConnectionChanged

          public void coServerConnectionChanged(CoServerConnectionEvent e)

      Specified by:
        `coServerConnectionChanged` in interface `CoServerConnectionEvent.Listener`

    - #### processConfigChanged

          public void processConfigChanged(BatchTaskConfigStatusEvent e)

      Specified by:
        `processConfigChanged` in interface `BatchTaskConfigStatusEvent.Listener`

    - #### dataSourceStateChanged

          public void dataSourceStateChanged(DataSourceStatusEvent e)

      Specified by:
        `dataSourceStateChanged` in interface `DataSourceStatusEvent.Listener`

    - #### logFileChanged

          public void logFileChanged(LogfileStatusEvent e)

      Specified by:
        `logFileChanged` in interface `LogfileStatusEvent.Listener`

    - #### logChannelChanged

          public void logChannelChanged(LogChannelStatusEvent e)

      Specified by:
        `logChannelChanged` in interface `LogChannelStatusEvent.Listener`

    - #### aboChanged

          public void aboChanged(ABOChangeEvent e)

      Specified by:
        `aboChanged` in interface `ABOChangeEvent.Listener`

Copyright © 2014 EsprIT-Systems. All Rights Reserved.